Subject: Re: posters of course
From: "Mike" <[email-masked]>
To: "Deborah Downing" <[email-masked]>
Date: Mon, 10 Mar 2008 10:38:06 -0400

I had notes in our system that the posters were re-shipped to a corrected address.  I think this is one that I called that location and got the corrected address.  That was done on Feb.26th or possibly slightly later that week.  You might want to check with them again.  It may have just arrived.  Let me know what you find out.
Thank you,
Mike - LLPS

  ----- Original Message ----- 
  From: Deborah Downing 
  To: 'Mike' 
  Sent: Friday, March 07, 2008 3:28 PM
  Subject: posters of course

  Hi Mike,

  I'm trying to locate the posters that were addressed to 6500 Dublin Blvd., Dublin.  Have they been returned to you yet?  Apparently that address changed just before we started talking.  Let me know what you know about it.  How's the weather holding up there?

  Debbie